/*
 *  uEmacs.h
 *  Header file by Dave Burnard for use with Macintosh version of
 *  microemacs.  Added to by Earle Horton for use with microemacs
 *  3.8 and Lightspeed C compiler.
 */
#if	LSC
#define p2cstr PtoCstr
#define int16 short
#define int32 long
#endif
#if MPW
#define int16 short
#define int32 long
#define PtoCstr p2cstr
#endif
#define 	NIL				0L
#define 	OK				0
#define 	ERR				-1

# define	windowID		128
# define	MENUBASE		128	/* RSRC id base value */

# define	appleMenu		0	/* offset values from MENUBASE */
# define	aboutMeItem		1

# define	fileMenu		1

# define	editMenu		2
# define	undoItem		1
# define	cutItem 		3
# define	copyItem		4
# define	pasteItem		5
# define	clearItem		6

# define	bufferMenu		3
# define	commands1Menu		4
# define	commands2Menu		5
# define	commands3Menu		6
# define	commands4Menu		7
# define	lastMenu		commands4Menu

#define 	uEmacsWindow	128


#define 	BEL			0x07		/* BEL character */
#define 	ESC			0x1B		/* ESC character */

#ifndef IS_64K_ROM
#define IS_64K_ROM	((*((int16 *) 0x28E) & 0xF000) == 0xF000)
#endif
#define ZoomDocProc (IS_64K_ROM ? 0 : 8)


/* common defines for windowKind field of TTY_Windows */
#define notInTTY_W		0
#define CURS_IDLE		-1
#define CURS_INVIS		0
#define CURS_VIS		1
#define CURS_HIDE		0
#define CURS_SHOW		1

/* #define SCROLLBARWIDTH		16*/
#define SCROLLBARWIDTH	13

#if LSC
#define THEPORT thePort
#define SCREENBITS screenBits
#else
#define THEPORT qd.thePort
#define SCREENBITS qd.screenBits
#endif

