/*
 *	uEmacs_Main.c
 */
#define termdef 1			/* don't define "term" external */

#define maindef

#include	<stdio.h>
#include	"estruct.h"
#include	"efunc.h"	/* function declarations and name table */
#include	"edef.h"
#include	"ebind.h"	/* default key bindings */
#include	"epath.h"
#if FINDER

#if MPW
#include <quickdraw.h>
#endif
#if LSC
#include <QuickDraw.h>
#endif


Point 		where = {80,80};
char		ourAppName[32];
short		ourRefNum;
short		ourVRefNum;

Pattern 	Popup = {255,0,255,0,255,0,255,0};
Pattern 	*popupPat = (Pattern*)Popup;

#define NROW	25		/* Screen size. 		*/
#define NCOL	80		/* Edit if you want to. 	*/
#define MARGIN	8		/* size of minimim margin and	*/
#define SCRSIZ	64		/* scroll size for extended lines */
#define NPAUSE	10		/* # times thru update to pause */

extern	int	mac_ttyopen();			/* Forward references.		*/
extern	int	mac_ttygetc();
extern	int	mac_ttyputc();
extern	int	mac_ttymove();
extern	int	mac_ttyeeol();
extern	int	mac_ttyeeop();
extern	int	mac_ttybeep();
extern	int	mac_ttyrev();
extern	int	dummy();
extern	int	mac_ttysetfor();
extern	int	mac_ttysetback();

/*
 * Standard terminal interface dispatch table. Most of the fields point 
 * right here somewhere.
 */
TERM	term	= {
	NCOL-1, 		/* filled in later */
	NCOL,
	NROW,			/* filled in later */
	NROW,
	MARGIN,
	SCRSIZ,
	NPAUSE,
	mac_ttyopen,
	dummy,
	dummy,
	dummy,
	mac_ttygetc,
	mac_ttyputc,
	dummy,
	mac_ttymove,
	mac_ttyeeol,
	mac_ttyeeop,
	mac_ttybeep,
	mac_ttyrev,
	dummy
#if COLOR
	,
	mac_ttysetfor,
	mac_ttysetback
#endif
	,
};

#endif
